---
title: '<xsl:call-template>'
slug: Web/XSLT/Element/call-template
tags:
  - Element
  - Reference
  - XSLT
  - call-template
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:call-template&gt;</code> element invokes a named template.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:call-template name=NAME&gt;
	&lt;xsl:with-param&gt; [optional]
&lt;/xsl:call-template&gt; </pre>

<h3 id="Required_Attribute">Required Attribute</h3>

<dl>
 <dt><code>name</code></dt>
 <dd>Specifies the name of the template you wish to invoke.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Instruction, appears within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 6.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
